Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class ConstraintTable

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
java.util.ArrayList
oracle.rules.sdk.editor.datamodel.ModelComponentTable
oracle.rules.sdk.editor.datamodel.ConstraintTable`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class ConstraintTable
extends ModelComponentTable

Top level table in the datamodel. It contains a list of constraints.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponentTable
`m_dm, m_mark, m_parent`

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`Constraint` | `add()` Create a constraint and add it to the constraint table
`Constraint` | `add(java.lang.String id)`
`Constraint` | `getConstraint(int index)` get a constraint by index
`Constraint` | `getConstraint(java.lang.String id)` get a constraint by id
`Constraint` | `getConstraintByName(java.lang.String name)` get a constraint by name
`java.lang.Object` | `removeByID(java.lang.String id)` Remove a constraint by id.
`java.lang.Object` | `removeByName(java.lang.String name)` Remove a constraint by name.

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponentTable
`getParent, mark, removeMarked`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Method Detail

### add

    public Constraint add()

  Create a constraint and add it to the constraint table
  Returns:
    The newly created constraint.

### add

    public Constraint add(java.lang.String id)

### getConstraint

    public Constraint getConstraint(int index)

  get a constraint by index
  Parameters:
    `index` - the index of the constraint list
  Returns:
    The constraint in the position

### getConstraint

    public Constraint getConstraint(java.lang.String id)

  get a constraint by id
  Parameters:
    `id` - the id of the constraint requested
  Returns:
    The constraint matching the id

### getConstraintByName

    public Constraint getConstraintByName(java.lang.String name)

  get a constraint by name
  Parameters:
    `name` - the name of the constraint requested
  Returns:
    The constraint matching the name

### removeByID

    public java.lang.Object removeByID(java.lang.String id)
                                throws DeleteException

  Remove a constraint by id. If the given id does not match any constraint, then no constraint is removed. If the constraint is used in other datamodel/rule definition(s), a DeleteException is thrown.
  Specified by:
    `removeByID` in class `ModelComponentTable`
  Parameters:
    `id` - the id of the constraint to be removed
  Returns:
    The constraint being removed. Null if no constraint is removed.
  Throws:
    `thrown` - if the constraint is used in other datamodel/rule definition(s). The message of the exception contains all the places where the constraint is used
    `DeleteException`

### removeByName

    public java.lang.Object removeByName(java.lang.String name)
                                  throws DeleteException

  Remove a constraint by name. If the given name does not match any constraint, then no constraint is removed. If the constraint is used in other datamodel/rule definition(s), a DeleteException is thrown.
  Parameters:
    `name` - the name of the constraint to be removed
  Returns:
    The constraint being removed. Null if no constraint is removed.
  Throws:
    `thrown` - if the constraint is used in other datamodel/rule definition(s). The message of the exception contains all the places where the constraint is used
    `DeleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.